%define major       112
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           xalan-c
Version:        1.12
Release:        %mkrel 5
Summary:        Xalan-C++ XSLT processor
Group:          System/Libraries
License:        ASL 2.0
URL:            https://xml.apache.org/xalan-c/
Source0:        https://archive.apache.org/dist/xalan/xalan-c/sources/xalan_c-%{version}.tar.gz
BuildRequires:  pkgconfig(xerces-c)
BuildRequires:  icu-devel
BuildRequires:  ninja-build
BuildRequires:  cmake

%description
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

%package -n %{libname}
Summary:        Xalan-C++ XSLT processor
Group:          System/Libraries

%description -n %{libname}
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

This package contains the shared xalan-c library.

%package -n %{develname}
Summary:        Header files for Xalan-C++ XSLT processor
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Xalan is an XSLT processor for transforming XML documents into HTML, text, or
other XML document types.

This package contains development files such as header files you can use to
develop XML applications with Xalan-C++.

%package doc
Group:          Documentation
Summary:        Documentation for Xerces-C++ validating XML parser
BuildRequires:  doxygen
BuildRequires:  graphviz

%description doc
Documentation for %{name}.

%prep
%setup -q -n xalan_c-%{version}
chmod 644 NOTICE

# Remove the Autotools build system cruft from the samples; otherwise, it would
# be installed as documentation. We leave the CmakeLists.txt even though it
# cannot be used standalone; it is used in the build (even though the built
# samples are only tested and not installed), and is annoying to exclude.
rm -vf samples/configure samples/configure.in

%build
%cmake \
    -Dtranscoder=icu \
    -GNinja
%cmake_build

%install
%cmake_install

# Remove CMake-installed docs in favor of using the doc macro. We refer to
# _prefix/share instead of _datadir to mirror how the install path is defined
# in the relevant CMakeLists.txt.
rm -rf %{buildroot}%{_prefix}/share/doc/xalan-c/api

%check
%ctest

%files
%doc LICENSE CREDITS KEYS NOTICE README.md
%{_bindir}/Xalan

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/xalanc
%{_libdir}/lib*.so
%{_libdir}/cmake/XalanC/*.cmake
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc docs/*.md docs/images
%doc %{_vpath_builddir}/docs/doxygen/api
%doc samples


%changelog
* Sat Jan 07 2023 squidf <squidf> 1.12-5.mga9
+ Revision: 1931183
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 1.12-4.mga9
+ Revision: 1864928
- rebuild for icu 71.1

* Thu Mar 31 2022 umeabot <umeabot> 1.12-3.mga9
+ Revision: 1836974
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.12-2.mga9
+ Revision: 1738987
- rebuild for icu

* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.12-1.mga8
+ Revision: 1656365
- new version 1.12

* Wed Jun 10 2020 daviddavid <daviddavid> 1.11.0-7.mga8
+ Revision: 1592044
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Fri Feb 14 2020 umeabot <umeabot> 1.11.0-5.mga8
+ Revision: 1518584
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.11.0-4.mga7
+ Revision: 1301794
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 guillomovitch <guillomovitch> 1.11.0-3.mga7
+ Revision: 1252499
- add arch-neutral virtual package for devel package

* Fri Aug 17 2018 guillomovitch <guillomovitch> 1.11.0-2.mga7
+ Revision: 1252342
- rebuild against latest xerces

* Fri Aug 17 2018 guillomovitch <guillomovitch> 1.11.0-1.mga7
+ Revision: 1252323
- imported package xalan-c

